summaryrefslogtreecommitdiffstats
path: root/tools/misc/testh5repart.sh.in
diff options
context:
space:
mode:
authorRaymond Lu <songyulu@hdfgroup.org>2005-06-09 16:32:23 (GMT)
committerRaymond Lu <songyulu@hdfgroup.org>2005-06-09 16:32:23 (GMT)
commita7a6139bef6f659d47bc1015be1903a922b26c30 (patch)
tree4ff322cda4c31c854aabf187a06f060e74b9ef37 /tools/misc/testh5repart.sh.in
parent6dd39e45beba3c6485dd77493fa8ad6f2c614f21 (diff)
downloadhdf5-a7a6139bef6f659d47bc1015be1903a922b26c30.zip
hdf5-a7a6139bef6f659d47bc1015be1903a922b26c30.tar.gz
hdf5-a7a6139bef6f659d47bc1015be1903a922b26c30.tar.bz2
[svn-r10884] Purpose: A minor feature
Description: Let this short script file check whether the tests pass and report pass or fail. Platforms tested: fuss only - a simple change to the script file.
Diffstat (limited to 'tools/misc/testh5repart.sh.in')
-rw-r--r--tools/misc/testh5repart.sh.in23
1 files changed, 16 insertions, 7 deletions
diff --git a/tools/misc/testh5repart.sh.in b/tools/misc/testh5repart.sh.in
index 0889c92..2fb90ea 100644
--- a/tools/misc/testh5repart.sh.in
+++ b/tools/misc/testh5repart.sh.in
@@ -41,21 +41,23 @@ TESTING() {
}
# Run a test and print PASS or *FAIL*. If a test fails then increment
-# the `nerrors' global variable and (if $verbose is set) display the
-# difference between the actual output and the expected output. The
-# expected output is given as the first argument to this function and
-# the actual output file is calculated by replacing the `.ddl' with
-# `.out'. The actual output is not removed if $HDF5_NOCLEANUP has a
-# non-zero value.
+# the `nerrors' global variable.
#
TOOLTEST() {
# Run tool test.
TESTING $REPART $@
(
- echo
+# echo
cd $srcdir/../testfiles
$RUNSERIAL $REPART_BIN $@
)
+
+ if test $? -eq 0; then
+ echo " PASSED"
+ else
+ echo " FAILED"
+ nerrors=`expr $nerrors + 1`
+ fi
}
OUTPUTTEST() {
@@ -65,6 +67,13 @@ OUTPUTTEST() {
cd $actual_dir
$RUNSERIAL $REPARTED_FAM_BIN $@
)
+
+ if test $? -eq 0; then
+ echo " PASSED"
+ else
+ echo " FAILED"
+ nerrors=`expr $nerrors + 1`
+ fi
}
# Print a "SKIP" message